Loading...
Searching...
No Matches
AVAMFDeviceContext Struct Reference

This struct is allocated as AVHWDeviceContext.hwctx. More...

`#include <libavutil/hwcontext_amf.h>`

## Data Fields

void * | library
AMFFactory * | factory
void * | trace_writer
int64_t | version
| version of AMF runtime
AMFContext * | context
AMF_MEMORY_TYPE | memory_type

## Detailed Description

This struct is allocated as AVHWDeviceContext.hwctx.

Definition at line 33 of file hwcontext_amf.h.

## Field Documentation

## library

void* AVAMFDeviceContext::library

Definition at line 34 of file hwcontext_amf.h.

## factory

AMFFactory* AVAMFDeviceContext::factory

Definition at line 35 of file hwcontext_amf.h.

## trace_writer

void* AVAMFDeviceContext::trace_writer

Definition at line 36 of file hwcontext_amf.h.

## version

int64_t AVAMFDeviceContext::version

version of AMF runtime

Definition at line 38 of file hwcontext_amf.h.

## context

AMFContext* AVAMFDeviceContext::context

Definition at line 39 of file hwcontext_amf.h.

## memory_type

AMF_MEMORY_TYPE AVAMFDeviceContext::memory_type

Definition at line 40 of file hwcontext_amf.h.

The documentation for this struct was generated from the following file:

- libavutil/hwcontext_amf.h